// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from "vue";
import App from "./App";
import router from "./router";
import Axios from "axios";

// import '@babel/polyfill'
// import Vant from 'vant';
// Vue.use(Vant);
// import Meta from 'vue-meta';
// Vue.use(Meta)
import {
  PasswordInput,
  Toast,
  Button,
  Field,
  Cell,
  CellGroup,
  Tabbar,
  TabbarItem,
  Icon,
  Uploader,
  Overlay,
  Form,
  Radio,
  RadioGroup,
  Checkbox,
  Dialog,
  CheckboxGroup,
  Step,
  Steps,
  Swipe,
  SwipeItem,
  Tab,
  Tabs,
  List,
  Popup,
  Image as VanImage,
  Switch,Picker
} from "vant";
import "vant/lib/index.css";
import "./css/base.css";
Vue.prototype.$toast = Toast;
Vue.prototype.$axios = Axios;
import commonUtil from "./script/commonUtil";
import Service from "./script/api/service";

Vue.use(PasswordInput)
  .use(Toast)
  .use(Button)
  .use(Field)
  .use(Cell)
  .use(CellGroup)
  .use(Tabbar)
  .use(TabbarItem)
  .use(Icon)
  .use(Uploader)
  .use(Overlay)
  .use(Form)
  .use(Radio)
  .use(RadioGroup)
  .use(Checkbox)
  .use(Dialog)
  .use(CheckboxGroup)
  .use(Step)
  .use(Steps)
  .use(Swipe)
  .use(SwipeItem)
  .use(Tab)
  .use(Tabs)
  .use(List)
  .use(Popup)
  .use(VanImage)
  .use(Switch).use(Picker);

Vue.config.productionTip = false;
let apiUrl = process.env.baseUrl; 

//页面切换后 自动滚动到顶部
router.afterEach((to,from,next) => {
  window.scrollTo(0,0); 
});

Axios.defaults.baseURL = apiUrl;
Axios.interceptors.request.use(
  config => {
    Toast.loading({
      duration: 0,
      message: "加载中...",
      forbidClick: true
    });
    config.headers["X-H5-Token"] = window.localStorage.getItem('token');
    return config;
  },
  err => {
    Toast("请求超时!");
    return Promise.reject(err);
  }
);
//axios统一错误处理
Axios.interceptors.response.use(
  data => { 
    Toast.clear();
    if (data.data.code && data.data.code == 200) {
      // return;
    }
    // console.log(err)
    if (data.data.errno == 502) {
      Toast({ message: "服务端错误: " + data.data.data + data.data.errmsg });
    }
    if (data.data.errno == 503) {
      Toast({ message: "服务器异常，请联系相关人员！" });
    }
    if (data.data.errno == 400) {
      Toast({ message: "权限不够" });
    }
    if (data.data.errno == 401) {
      Toast({ message: data.data.errmsg });
    }

    if (data.data.errno == 501) {
      // if (window.localStorage.getItem('token') == "") {
      Toast({ message: "身份过期，请重新登陆" });
      window.localStorage.removeItem("token");
      router.push("/login");

      // }
    }
    return data.data;
  },
  err => {
    Toast.clear();
    return Promise.resolve(err);
  }
);

/* eslint-disable no-new */
new Vue({
  el: "#app",
  router,
  components: { App },
  template: "<App/>"
});
