import Vue from "vue";
import Router from "vue-router";

import index from "@/pages/index";
import catalog from "@/pages/catalog";
import goods from "@/pages/goods";
import order from "@/pages/order";
import orderDetail from "@/pages/orderDetail";
import orderAftersale from "@/pages/orderAftersale";
import orderAftersaleInfo from "@/pages/orderAftersaleInfo";
import orderPayResult from "@/pages/orderPayResult";
import checkout from "@/pages/checkout";
import login from "@/pages/login";
import category from "@/pages/category";
import address from "@/pages/address";
import addressAdd from "@/pages/addressAdd";

Vue.use(Router);
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
export default new Router({
  // mode: 'history',  //去掉url中的#
  routes: [
    {
      path: "/index",
      name: "index",
      component: index
    },
    {
      path: "/catalog",
      name: "catalog",
      component: catalog
    },

    {
      path: "/goods",
      name: "goods",
      component: goods
    },
    {
      path: "/order",
      name: "order",
      component: order
    },
    {
      path: "/checkout",
      name: "checkout",
      component: checkout
    },
    {
      path: "/login",
      name: "login",
      component: login
    },
    {
      path: "/category",
      name: "category",
      component: category
    },
    {
      path: "/address",
      name: "address",
      component: address
    },
    {
      path: "/addressAdd",
      name: "addressAdd",
      component: addressAdd
    },
    {
      path: "/orderDetail",
      name: "orderDetail",
      component: orderDetail
    },
    {
      path: "/orderAftersale",
      name: "orderAftersale",
      component: orderAftersale
    },
    {
      path: "/orderAftersaleInfo",
      name: "orderAftersaleInfo",
      component: orderAftersaleInfo
    },
    {
      path: "/orderPayResult",
      name: "orderPayResult",
      component: orderPayResult
    },

    {
      path: "/",
      redirect: "index"
    }
  ]
});
